Package Details: wine-staging-git 3.18.r8.g8519a9ea+wine.3.18.r75.ge55aca8f49-1

Git Clone URL: https://aur.archlinux.org/wine-staging-git.git (read-only)
Package Base: wine-staging-git
Description: A compatibility layer for running Windows programs (staging branch, git version)
Upstream URL: https://www.wine-staging.com/
Keywords: staging windows wine
Licenses: LGPL
Conflicts: wine, wine-wow64
Provides: wine=3.18.r75.ge55aca8f49, wine-git=3.18.r75.ge55aca8f49, wine-staging=3.18.r8.g8519a9ea, wine-wow64=3.18.r75.ge55aca8f49
Submitter: dbermond
Maintainer: dbermond
Last Packager: dbermond
Votes: 13
Popularity: 0.255399
First Submitted: 2016-03-27 06:19
Last Updated: 2018-10-17 18:37

Dependencies (158)

Required by (227)

Sources (4)

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

Cork commented on 2017-09-22 21:21

Compiling gives me
make[1]: Entering directory '/var/build/wine-staging-git/src/wine-staging-git-64-build/fonts'
../tools/sfnt2fon/sfnt2fon -o coue1255.fon ../../wine-git/fonts/courier.ttf -d 128 13,1255,8
Error: Cannot open face ../../wine-git/fonts/courier.ttf
make[1]: *** [Makefile:182: coue1255.fon] Error 1

but src/wine-git/fonts contains the font.

dbermond commented on 2017-09-11 16:24

@ccxex29
Hi. Sorry, but I cannot reproduce your issue. Package is building fine for me.
What are you using to build? AUR helper or makepkg? And what is the command?

ccxex29 commented on 2017-09-11 15:55

Hello!
I got this error by updating :
Option --inode is useless without option --long.
configure: error: working directory cannot be determined
==> ERROR: A failure occurred in build().

dbermond commented on 2017-06-29 18:51

@Narthorn
Thank you for reporting this. I'm glad that pkgver() is still giving the correct version, so the package itself is not affected.
I'll be fixing it as soon as I can.

Narthorn commented on 2017-06-28 07:09

pkgver() fails to translate the latest-release git tag to 2.11, giving 2.9 instead. This can be fixed by using sort -Vr, or directly git tag --sort -v:refname.

dbermond commented on 2017-01-14 22:11

@Anthony25
Thank you for the report. It's building fine for me again too so probably it was an upstream issue.

Anthony25 commented on 2017-01-14 16:35

It's building without problem now, thanks again!

Anthony25 commented on 2017-01-11 12:41

@Bermond: Ok, thanks a lot for your answer, I didn't know if it was an upstream issue or a missing dependency to do the build.

So I'll wait!

dbermond commented on 2017-01-11 00:17

@Anthony25
I'm also getting this same error in latest builds during the 64-bit compilation phase. It seems to be not specific for this package since this same problem is happening to me with wine-git AUR package as well.
Also, as you can see, wine-staging x86_64 repository package was not updated to 2.0 rc4 while i686 was updated, hinting that maybe some problem may have occurred in 64-bit builds for the latest version.
So this seems to be an upstream problem and maybe 64-bit specific. Let's wait some days and see if it is fixed by upstream since 2.0 release is getting closer.
If you have a clue or any other view please share your thoughts.

dbermond commented on 2017-01-10 23:35

@ProfessorKaos64
Thanks for appreciating :)